//
//  JuiceZ.java
//  JuiceZ
//
//  Created by Thomas Dickerson on 5/5/09.
//  Copyright (c) 2009 __MyCompanyName__. All rights reserved.
//
import java.util.*;
import sfgp.emu.*;
import sfgp.debug.Debugger;

public class JuiceZ {

    public static void main (String args[]) {
		Debugger.setVerbosity(Debugger.NORMAL);
		
		Debugger.printInfo("in range " + ((byte)((short)15) == ((short)15)));
		Debugger.printInfo("out of range " + ((byte)((short)257) == ((short)257)));
		
		Debugger.printInfo("\nLimited, 15MHz");
		Z80 z = new Z80(15000000, true);
		z.exec();
		Debugger.printInfo("\nUnlimited, 15MHz");
		z = new Z80(15000000, false);
		z.exec();
		Debugger.printInfo("\nLimited, 6MHz");
		z = new Z80(6000000, true);
		z.exec();
		Debugger.printInfo("\nUnlimited, 6MHz");
		z = new Z80(6000000, false);
		z.exec();
    }
}
