//
//  Util.java
//  JuiceZ
//
//  Created by Thomas Dickerson on 5/5/09.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

package sfgp.emu;


public class Util {
	
	 /********************************************
	 *  THIS IS VERY IMPORTANT: HEX VALUES ARE   *
	 * TREATED AS BITFIELDS AND NOT "TRANSLATED" *
	 ********************************************/
	 
	 
	public static short twoBytesToWord(byte msb, byte lsb){	return (short)(((char)msb << 8) | (char)lsb);	}
	public static byte getUpperEight(short val){	return (byte)((val & 0xff00) >>> 8); }
	public static byte getLowerEight(short val){	return (byte)(val & 0x00ff); }
	public static short setUpperEight(short val, byte upper){ return twoBytesToWord(upper, (byte)(val & 0xff));}
	public static short setLowerEight(short val, byte lower){ return (short)((val & 0xff00) | lower); }
	public static byte getNthBit(byte val, byte n){	return ((val & (0x01 << n)) != 0) ? (byte)0x01 : (byte)0x00;	}
	public static byte setNthBit(byte val, byte n){	return (byte)(val | (0x01 << n));	}
	public static byte resetNthBit(byte val, byte n){ return (byte)(val & (0xff - (0x01 << n)));	}
	
	
}
